<div *nzModalTitle>{{ headerText }}</div>

<div>
  <form nz-form [formGroup]="form" (ngSubmit)="onSubmit()">

    <nz-form-item>
      <nz-form-label nzRequired [nzSpan]="10">Name</nz-form-label>
      <nz-form-control [nzErrorTip]="labelError" [nzSpan]="14">
        <nz-input-group>
          <input
            nz-input
            placeholder="Name"
            [formControl]="labelController"
            autocomplete="off" />
        </nz-input-group>
        <ng-template #labelError let-control>
          <ng-container *ngIf="control.hasError('required')" i18n="Name is required @@providerSchemaNameRequiredHint">
            Name is <strong>required</strong>
          </ng-container>
        </ng-template>
      </nz-form-control>
    </nz-form-item>



    <nz-form-item>
      <nz-form-label nzRequired [nzSpan]="10" i18n="Description @@description">Description</nz-form-label>
      <nz-form-control [nzSpan]="14" [nzErrorTip]="descriptionError">
        <nz-input-group>
          <textarea
            nz-input
            [rows]="5"
            [formControl]="descriptionController"
            autocomplete="off"></textarea>
        </nz-input-group>
        <ng-template #descriptionError let-control>
          <ng-container *ngIf="control.hasError('required')" i18n="Description is required @@descriptionRequiredHint">
            Description is <strong>required</strong>
          </ng-container>
        </ng-template>
      </nz-form-control>
    </nz-form-item>

    <nz-form-item>
      <nz-form-label nzRequired [nzSpan]="10" i18n="Purpose @@purposeOfCollectionTitle">Purpose of collection</nz-form-label>
      <nz-form-control [nzSpan]="14" [nzErrorTip]="purposeError">
        <nz-input-group>
          <textarea
            nz-input
            [rows]="5"
            [formControl]="purposeController"
            autocomplete="off"></textarea>
        </nz-input-group>
        <ng-template #purposeError let-control>
          <ng-container *ngIf="control.hasError('required')" i18n="Purpose is required @@purposeRequiredHint">
            Purpose is <strong>required</strong>
          </ng-container>
        </ng-template>
      </nz-form-control>
    </nz-form-item>

    <nz-form-item>
      <nz-form-label nzRequired [nzSpan]="10" i18n="Consent is @@consentIs">
        Consent is
      </nz-form-label>
      <nz-form-control [nzSpan]="14">
        <nz-radio-group [formControl]="requiresConsentController">
          <label nz-radio nzValue="1" i18n="required @@required">
            required
          </label><br />
          <label nz-radio nzValue="0" i18n="not required @@notRequired">
            not required
          </label>
        </nz-radio-group>
      </nz-form-control>
    </nz-form-item>

  </form>
  <nz-checkbox-group [(ngModel)]="selectedVerbs">

  </nz-checkbox-group>
</div>
<div *nzModalFooter>
  <button nz-button (click)="handleClose()" i18n="@@cancel">Cancel</button>
  <button nz-button i18n="Submit @@submit" (click)="onSubmit()"> Submit</button>
</div>
